Subject: Re: [CFRG] Comment on [Cfrg] draft-irtf-cfrg-kangarootwelve-04 second research group last call

From: Christoph Dobraunig <[email-masked]>
Date: Wed, 25 Nov 2020 09:38:56 +0000

Dear all,

My name is Christoph Dobraunig, and I am researching symmetric
cryptography for over six years now. I personally think that
KangarooTwelve is a very useful complement to SHA-3. Based on the
literature I have read and the analysis I have done, I think that 12
rounds of the Keccak permutation should have a comfortable security
margin against attacks when used in the proposed mode.

I hope this is the right place to express my opinion on the
draft-irtf-cfrg-kangarootwelve-04 and I hope to see it published.

Best regards,
Christoph